{% extends 'layout.html.twig' %}

{% block title %}TWIM Word - Customize the word{% endblock %}

{% block body_id 'desktop_customize_word' %}

{% block body %}

    <div class="card shadow p-3 mb-5 bg-white rounded">
        <div class="card-body">

            <div class="h3">{{ 'customize.word.title'|trans({}, 'frontends') }}</div>
            <p class="h5 text-muted">{{ 'customize.word.text'|trans({}, 'frontends') }}</p>

            {% if errors is defined and errors.general is defined %}
                <p>
                    <span class="bsp-err-spn invalid-feedback d-block">
                        <span class="d-block">
                            <span class="form-error-icon badge badge-danger text-uppercase">{{ 'error'|trans() }}</span>
                            <span class="form-error-message">
                                {{ errors.general }}
                            </span>
                        </span>
                    </span>
                </p>
            {% endif %}


            {# {{ dump(word) }} #}
            {% set i = 0 %}

            <div class="row mt-3">
                {% for opts in customizeOptionals %}

                    {% if i>0 and i%2 == 0 %}
                        </div>
                        <div class="row mt-3">
                            <div class="col">
                    {% else %}
                        <div class="col">
                    {% endif %}

                        
                        <div class="form-group">
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" value="" id="chk-opt-structure-{{ opts.structureId }}" {{ opts.isActive ? "checked" }}>
                                <label class="form-check-label" for="chk-opt-structure-{{ opts.structureId }}">
                                    {{ opts.structureSource }}
                                </label>
                            </div>
                            {# <label for="opt-structure-{{ opts.structureId }}">{{ opts.structureSource }}</label> #}

                            <select class="mt-3 mb-3 form-control slc_optional_effect" name="optionals[]" id="opt-structure-{{ opts.structureId }}">
                                {% for optional in opts.optionals %}
                                    <option value="{{ optional.id }}" data-special-effect="{{ optional.value }}" data-price="{{ optional.price }}" {{ optional.isActive ? "selected" }}>
                                        <span>{{ optional.source }} (${{ optional.price }})</span>
                                    </option>
                                {% endfor %}
                            </select>
                        </div>
                        {{ dump(opts) }}

                    </div>

                    
                    {% set i = i+1 %}
                {% endfor %}
            </div>

            {# {{ dump(customizeOptionals) }} #}

            <div class="row mt-3">
                <div class="col">
                    <a href="{{ url('homepage') }}" role="button" class="btn btn-secondary">{{ 'buy.new.optionals.label'|trans({},'frontends') }}</a>
                </div>
            </div>


            <div class="mt-3">
                {% include 'Desktop/WordBundle/_preview_word.html.twig' %}
            </div>

        </div>
    </div>

{% endblock %}


{% block javascripts %}
    {#<script src="{{ asset('build/js/purchasing_transaction.js') }}"></script>#}
{% endblock %}